Bug 242885 - Selinux linux prevents cgi scripts working
Summary: Selinux linux prevents cgi scripts working
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-06 08:41 UTC by redtux
Modified: 2007-11-30 22:12 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2007-06-06 15:46:56 UTC


Attachments (Terms of Use)

Description redtux 2007-06-06 08:41:08 UTC
On F7 the selinux policy prevents cgi (perl) scripts from connecting to 
Postgresql database.

I cannot see any6way to tune this so have no choice but to disable selinux, 
which is not a perfect solution

Comment 1 Daniel Walsh 2007-06-06 15:46:56 UTC
setsebool -P httpd_can_network_connect_db=1

Will allow this. 

Try install setroubleshoot, this would have told you this.


Note You need to log in before you can comment on or make changes to this bug.